> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# QTLs

> Retrieve QTLs from gene, variant, or region.

Define exactly one query type: gene (gene_id or gene_name), variant (variant_id, spdi, rsid, or ca_id), or region.

The limit parameter controls the page size and can not exceed 100.

Pagination is 0-based.

**Examples by method**

These examples are grouped by method; use the `method` filter to return data from a specific method.

**eQTL:**

**Single result**

- spdi = NC_000001.11:40241653:TGAA:TGAAATTGAA
- method = eQTL

**Group results**

- gene_id = ENSG00000259943
- method = eQTL

**spliceQTL:**

**query by variant identifier**

- variant_id = NC_000001.11:898757:AAAAAA:AAAAAAA
- method = spliceQTL

**query by gene identifier**

- gene_id = ENSG00000131236
- method = spliceQTL

**pQTL:**

**query by variant identifier**

- variant_id = NC_000002.12:27508072:T:C
- method = pQTL

**query by gene identifier**

- gene_id = ENSG00000084734
- method = pQTL

**caQTL:**

**Single result**

- variant_id = NC_000001.11:40241653:TGAA:TGAAATTGAA
- method = caQTL

**Group results**

- region = chr1:40232650-40241654
- method = caQTL



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /qtls
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /qtls:
    get:
      summary: QTLs
      description: >-
        Retrieve QTLs from gene, variant, or region.


        Define exactly one query type: gene (gene_id or gene_name), variant
        (variant_id, spdi, rsid, or ca_id), or region.


        The limit parameter controls the page size and can not exceed 100.


        Pagination is 0-based.


        **Examples by method**


        These examples are grouped by method; use the `method` filter to return
        data from a specific method.


        **eQTL:**


        **Single result**


        - spdi = NC_000001.11:40241653:TGAA:TGAAATTGAA

        - method = eQTL


        **Group results**


        - gene_id = ENSG00000259943

        - method = eQTL


        **spliceQTL:**


        **query by variant identifier**


        - variant_id = NC_000001.11:898757:AAAAAA:AAAAAAA

        - method = spliceQTL


        **query by gene identifier**


        - gene_id = ENSG00000131236

        - method = spliceQTL


        **pQTL:**


        **query by variant identifier**


        - variant_id = NC_000002.12:27508072:T:C

        - method = pQTL


        **query by gene identifier**


        - gene_id = ENSG00000084734

        - method = pQTL


        **caQTL:**


        **Single result**


        - variant_id = NC_000001.11:40241653:TGAA:TGAAATTGAA

        - method = caQTL


        **Group results**


        - region = chr1:40232650-40241654

        - method = caQTL
      operationId: qtls
      parameters:
        - name: gene_id
          in: query
          required: false
          schema:
            type: string
        - name: gene_name
          in: query
          required: false
          schema:
            type: string
        - name: variant_id
          in: query
          required: false
          schema:
            type: string
        - name: spdi
          in: query
          required: false
          schema:
            type: string
        - name: rsid
          in: query
          required: false
          schema:
            type: string
        - name: ca_id
          in: query
          required: false
          schema:
            type: string
        - name: region
          in: query
          required: false
          schema:
            type: string
        - name: biological_context
          in: query
          required: false
          schema:
            type: string
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - eQTL
              - pQTL
              - spliceQTL
              - caQTL
        - name: source
          in: query
          required: false
          schema:
            type: string
            enum:
              - AFGR
              - EBI
              - IGVF
              - ENCODE
              - UKB
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Homo sapiens
            default: Homo sapiens
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    variant:
                      type: object
                      properties:
                        chr:
                          type: string
                        pos:
                          type: number
                        spdi:
                          type: string
                          nullable: true
                        rsid:
                          anyOf:
                            - type: string
                            - type: array
                              items:
                                type: string
                          nullable: true
                        ca_id:
                          type: string
                          nullable: true
                      required:
                        - chr
                        - pos
                      additionalProperties: false
                    gene:
                      type: object
                      properties:
                        name:
                          type: string
                        id:
                          type: string
                      required:
                        - name
                        - id
                      additionalProperties: false
                      nullable: true
                    protein_complex:
                      type: object
                      properties:
                        name:
                          type: string
                        id:
                          type: string
                      required:
                        - name
                        - id
                      additionalProperties: false
                      nullable: true
                    genomic_element:
                      type: object
                      properties:
                        name:
                          type: string
                        chr:
                          type: string
                        start:
                          type: number
                        stop:
                          type: number
                        type:
                          type: string
                      required:
                        - name
                        - chr
                        - start
                        - stop
                        - type
                      additionalProperties: false
                      nullable: true
                    source:
                      type: string
                    method:
                      type: string
                    regulatory_type:
                      type: string
                      nullable: true
                    gene_consequence:
                      type: string
                      nullable: true
                    biological_context:
                      type: string
                      nullable: true
                    neg_log10_pvalue:
                      type: number
                      nullable: true
                    effect_size:
                      type: number
                      nullable: true
                    posterior_inclusion_probability:
                      type: number
                      nullable: true
                    intron_chr:
                      type: string
                      nullable: true
                    intron_start:
                      anyOf:
                        - type: string
                        - type: number
                      nullable: true
                    intron_end:
                      anyOf:
                        - type: string
                        - type: number
                      nullable: true
                    study:
                      type: object
                      properties:
                        id:
                          type: string
                        pmid:
                          type: string
                          nullable: true
                      required:
                        - id
                      additionalProperties: false
                      nullable: true
                    files_filesets:
                      type: string
                      nullable: true
                  required:
                    - variant
                    - gene
                    - protein_complex
                    - genomic_element
                    - source
                    - method
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````